#
# Spec file for prolinga-calc
#
Summary: 	C expression type calculator.
Name: 		prolinga-calc
Version: 	0.0.1
Release: 	1.fc8.xobas
License: 	GPL
Group:		System Environment/Libraries
Source: 	http://download.prolinga.org/main/sources/%{name}-%{version}.tar.gz
URL: 		http://www.xobas.com
Vendor: 	Xobas Software
Packager: 	Bas Driessen <bas.driessen@xobas.com>
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
The ProLinga-Calc Project is a small project that 
focuses on the development of a library which, 
after implementing, enables any application to 
make C expression type calculations. Simple 
expressions as x=2+3 and more complicated ones 
like x=2*sin(y).

%package devel
Summary:	Development libraries and header files for prolinga-calc.
Group:		Development/Libraries
Requires:	%name = %{version}

%description devel
This package contains the header files and libraries needed to write
or compile programs that use prolinga-calc.

%prep
%setup -q

%build
%configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}
make
make html

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post
# update library links.
/sbin/ldconfig

%postun 
# update library links.
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README NEWS
%doc doc/html
%{_bindir}/prolingacalc
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%doc doc/*.xml doc/*.xsl doc/*.txt
%{_includedir}/prolinga
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Sat Mar 22 2008 Bas Driessen <bas.driessen@xobas.com> 0.0.1-1.fc8
- Initial spec file.

